# -*- coding: utf-8 -*-
from setuphelpers import *

package_name = "google-chrome-stable"
deb_source = makepath("/", "etc", "apt", "sources.list.d", "google-chrome.list")


def install():
    # Declaring specific app values
    package_version = control["version"].split("-", 1)[0]
    bin_name_deb = "google-chrome-stable-%s_amd64.deb" % package_version

    print("Installing %s" % bin_name_deb)
    try:
        install_deb(bin_name_deb)
    except:
        install_required_dependencies_apt()

    # Deleting sources files
    if isfile(deb_source):
        print("Removing " + deb_source)
        remove_file(deb_source)


def uninstall():
    print("Uninstalling %s" % package_name)
    uninstall_apt(package_name)
